package me.hammerle.supersnuvi.tiles;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.util.CollisionBox;
import me.hammerle.supersnuvi.util.Face;

public class KillTile extends BaseTile
{
    private final float offsetY;
    
    public KillTile(float tMinX, float tMinY, float tMaxX, float tMaxY, float offsetY) 
    {
        super(tMinX, tMinY, tMaxX, tMaxY);
        this.offsetY = offsetY;
        super.setCollisionBox(CollisionBox.createScaledTileBox(0.1f, 0.1f, 0.9f, 0.9f));
    }

    @Override
    public void onEntityCollide(Entity ent, int x, int y, Face face) 
    {
        super.onEntityCollide(ent, x, y, face);
        ent.getHealth().addHealth(-14.3f);
    }

    @Override
    public float getOffsetY() 
    {
        return offsetY;
    }
}
